Subject: [netmod] Ip layer statistics in Yang ?

From: Karen Elisabeth Egede Nielsen <[email-masked]>
Date: Thu, 6 Jun 2019 10:41:15 +0000

Hi Steve, All

I hope that you may advice on this issue.

I am looking for the YANG modeling of the IP "interface" statistics (aka RFC4293)  and stumbled over the now expired individual contribution
https://tools.ietf.org/html/draft-baill-netmod-yang-ip-stats-01
which does not seem to have progressed.

RFC8343 refers to RFC2863.
Is it correctly understood that the RFC8343 refers to the network layer interfaces only and would not attempt to cover the IP layer statistics ?

Or is it alternatively so that in an interface layering model it is intended for that RFC4383 would model IP layer statistics also (with the granularity provided of RFC8343, which
does not go to the same level of detail as RFC4293/the draft above).

Many Thanks in advance

BR, Karen

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 10 Jun 2019 10:08:07 +0200 (CEST)

Hi,

Karen Elisabeth Egede Nielsen <[email-masked]> wrote:
> I am looking for the YANG modeling of the IP "interface" statistics
> (aka RFC4293) and stumbled over the now expired individual
> contribution
> Is it correctly understood that the RFC8343 refers to the network
> layer interfaces only and would not attempt to cover the IP layer
> statistics ?

Yes.  For additional IP-specific statistics, something like the model
in the draft above is needed.

/martin

> Or is it alternatively so that in an interface layering model it is
> intended for that RFC4383 would model IP layer statistics also (with
> the granularity provided of RFC8343, which

---

From: Steve Baillargeon <[email-masked]>
Date: Mon, 10 Jun 2019 11:43:06 +0000

Hi
Should draft-baill-netmod-yang-ip-stats be revived to eventually become a working group draft?
Looking at my old notes, I think it just requires a few modifications...

-Steve

-----Original Message-----
From: Martin Bjorklund <[email-masked]> 
Sent: Monday, June 10, 2019 4:08 AM
To: [email-masked]
Cc: Steve Baillargeon <[email-masked]>; [email-masked]
Subject: Re: [netmod] Ip layer statistics in Yang ?

Hi,

> layer interfaces only and would not attempt to cover the IP layer 

Yes.  For additional IP-specific statistics, something like the model in the draft above is needed.

/martin

> the granularity provided of RFC8343, which does not go to the same 
> level of detail as RFC4293/the draft above).
> 
> Many Thanks in advance
> 
> BR, Karen
> 
>